Bug 631948 (CVE-2010-1815) - CVE-2010-1815 webkit: use-after-free flaw when handling scrollbars
Summary: CVE-2010-1815 webkit: use-after-free flaw when handling scrollbars
Status: CLOSED ERRATA
Alias: CVE-2010-1815
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100908,reported=20100827,sou...
Keywords: Security
Depends On: 640382 640385 640386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 18:11 UTC by Vincent Danen
Modified: 2016-03-04 11:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 07:02:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0177 normal SHIPPED_LIVE Moderate: webkitgtk security update 2011-01-25 17:07:15 UTC

Description Vincent Danen 2010-09-08 18:11:19 UTC
A use after free issue exists in WebKit's handling of scrollbars. Visiting
a maliciously crafted website may lead to an unexpected application
termination or arbitrary code execution. This issue is addressed through
improved memory management. Credit to Tony Chang of Google, Inc for
reporting this issue.

References:

https://bugs.webkit.org/show_bug.cgi?id=41196
http://trac.webkit.org/changeset/63138
http://support.apple.com/kb/HT4334

Comment 1 Vincent Danen 2010-10-05 16:25:47 UTC
This issue has been corrected in WebKitGTK 1.2.5.

Comment 2 Vincent Danen 2010-10-05 17:18:25 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]

Comment 4 errata-xmlrpc 2011-01-25 17:07:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html


Note You need to log in before you can comment on or make changes to this bug.